package manov2;

 import java.awt.Graphics;
 import java.awt.Graphics2D;
 import java.net.*;
 import javax.swing.*;
 
 class MyIcon extends JComponent{
    private double gra=0;
    private ImageIcon icon;
    private int wP,hP,xC,yC;

    public MyIcon(){        
        icon = createImageIcon("/image/mano1.png");
        wP = icon.getIconWidth();
        hP = icon.getIconHeight();
        setSize(wP, hP);
    }
    public void paintComponent(Graphics g) {
        super.paintComponent(g);
        Graphics2D g2d =(Graphics2D)g;
        
        xC =wP/2;
        yC =hP/2;

        g2d.translate(xC,yC); 
        g2d.rotate(Math.toRadians(gra)); 
        g2d.translate(-xC,-yC);

       icon.paintIcon(this, g2d, 0, 0);
    }
    public void setGra(double gr){
        gra=gr;
        repaint();
    }
    public int getWp(){        
        return(wP);
    }
    
    public int getHp(){        
        return(hP);
    }
    
    private ImageIcon createImageIcon(String path) {
        URL imgURL = getClass().getResource(path);
        if (imgURL != null) {
           return new ImageIcon(imgURL);
        } else {
            System.err.println("Non è possibile trovare il file: " + path);
            return null;
        }
    }
}